# Enterprises: list

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/list#auth).

Looks up an enterprise by domain name.
This is only supported for enterprises created via the Google-initiated
creation flow. Lookup of the id is not needed for enterprises created via
the EMM-initiated flow since the EMM learns the enterprise ID in the
callback specified in the Enterprises.generateSignupUrl call.

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required query parameters** |||
| `domain` | `string` | The exact primary domain name of the enterprise to look up. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#enterprisesListResponse",
  "enterprise": [
    enterprises Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `enterprise[]` | `list` | An enterprise. |   |
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"androidenterprise#enterprisesListResponse"`. |   |